# opentl::core::parser::HalconFile Class Reference

List of all members.

## Static Public Member Functions
static bool | readExtrinsic (const std::string &filename, opentl::math::Transform &Tout)
| reads the T matrix from a Halcon file (4x4)
static bool | readIntrinsic (const std::string &filename, double &width, double &height, double &sx, double &sy, double &cx, double &cy, double &foc, double &kappa)
| reads the intrinsic calibration parameters from a halcon file
static int | splitStr (std::list< std::string > &L, const std::string &seq, const std::string &_1cdelim, bool keeptoken, bool _removews)
| Splits a string into tokens separated by supplied delimiters as a std::string.

## Member Function Documentation

static bool opentl::core::parser::HalconFile::readExtrinsic | ( | const std::string & | filename,
|  | opentl::math::Transform & | Tout |
| ) |  |  | `[static]`

reads the T matrix from a Halcon file (4x4)

Returns:
  false for error

static bool opentl::core::parser::HalconFile::readIntrinsic | ( | const std::string & | filename,
|  | double & | width,
|  | double & | height,
|  | double & | sx,
|  | double & | sy,
|  | double & | cx,
|  | double & | cy,
|  | double & | foc,
|  | double & | kappa |
| ) |  |  | `[static]`

reads the intrinsic calibration parameters from a halcon file

Returns:
  false for error

static int opentl::core::parser::HalconFile::splitStr | ( | std::list< std::string > & | L,
|  | const std::string & | seq,
|  | const std::string & | _1cdelim,
|  | bool | keeptoken,
|  | bool | _removews |
| ) |  |  | `[static]`

Splits a string into tokens separated by supplied delimiters as a std::string.

Parameters:

  | std::list<std::string>& | L reference to the resulting string tokens
  | std::string | seq The string stream to split
  | std::string | _lcdelim - a std::string that contains all of the single delimiters
  | bool | keeptok -- same as the above function
  | bool | removews -- Set to TRUE if requiered to remove white space characters ( space, "\n\r" etc...)

Returns:
  integer that has the number of token in the resulting list